Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand:

## Public Member Functions
| __construct (Repository $repository, RepositoryConfigurationProvider $repositoryConfigurationProvider, Connection $connection)

## Public Attributes
const | DEFAULT_REPOSITORY_USER = 'admin'
const | DEFAULT_EXCLUDED_CONTENT_TYPES = 'user'
const | BEFORE_RUNNING_HINTS =
const | VERSION_DRAFT = 'draft'
const | VERSION_ARCHIVED = 'archived'
const | VERSION_PUBLISHED = 'published'
const | VERSION_ALL = 'all'
const | VERSION_STATUS

## Protected Member Functions
| configure ()
| getObjectsIds ($keep, $status, $excludedContentTypes=[])

## Private Member Functions
| mapStatusToVersionInfoStatus ($status)

## Private Attributes
| $repository
| $repositoryConfigurationProvider
| $connection

## Detailed Description

Definition at line 22 of file CleanupVersionsCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::__construct | ( | Repository | $repository,
|  | RepositoryConfigurationProvider | $repositoryConfigurationProvider,
|  | Connection | $connection
| ) |  |

Definition at line 55 of file CleanupVersionsCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\$connection, eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\$repository, and eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\$repositoryConfigurationProvider.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::configure | ( |  | ) |
| protected

Definition at line 67 of file CleanupVersionsCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\BEFORE_RUNNING_HINTS.

## ◆ getObjectsIds()

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::getObjectsIds | ( |  | $keep,
|  |  | $status,
|  |  | $excludedContentTypes = `[]`
| ) |  |
| protected

Parameters

  int | $keep |
  string | $status |
  string[] | $excludedContentTypes |

Returns
  array

Exceptions

Definition at line 244 of file CleanupVersionsCommand.php.

## ◆ mapStatusToVersionInfoStatus()

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::mapStatusToVersionInfoStatus | ( |  | $status | ) |
| private

Parameters

  string | $status |

Returns
  int

Exceptions

Definition at line 286 of file CleanupVersionsCommand.php.

## Member Data Documentation

## ◆ $connection

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::$connection
| private

Definition at line 53 of file CleanupVersionsCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\__construct().

## ◆ $repository

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::$repository
| private

Definition at line 47 of file CleanupVersionsCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\__construct().

## ◆ $repositoryConfigurationProvider

eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::$repositoryConfigurationProvider
| private

Definition at line 50 of file CleanupVersionsCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\__construct().

## ◆ BEFORE_RUNNING_HINTS

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::BEFORE_RUNNING_HINTS =

Definition at line 27 of file CleanupVersionsCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand\configure().

## ◆ DEFAULT_EXCLUDED_CONTENT_TYPES

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::DEFAULT_EXCLUDED_CONTENT_TYPES = 'user'

Definition at line 25 of file CleanupVersionsCommand.php.

## ◆ DEFAULT_REPOSITORY_USER

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::DEFAULT_REPOSITORY_USER = 'admin'

Definition at line 24 of file CleanupVersionsCommand.php.

## ◆ VERSION_ALL

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::VERSION_ALL = 'all'

Definition at line 38 of file CleanupVersionsCommand.php.

## ◆ VERSION_ARCHIVED

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::VERSION_ARCHIVED = 'archived'

Definition at line 36 of file CleanupVersionsCommand.php.

## ◆ VERSION_DRAFT

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::VERSION_DRAFT = 'draft'

Definition at line 35 of file CleanupVersionsCommand.php.

## ◆ VERSION_PUBLISHED

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::VERSION_PUBLISHED = 'published'

Definition at line 37 of file CleanupVersionsCommand.php.

## ◆ VERSION_STATUS

const eZ\Bundle\EzPublishCoreBundle\Command\CleanupVersionsCommand::VERSION_STATUS

Initial value:
= [
self::VERSION_DRAFT => VersionInfo::STATUS_DRAFT,
self::VERSION_ARCHIVED => VersionInfo::STATUS_ARCHIVED,
self::VERSION_PUBLISHED => VersionInfo::STATUS_PUBLISHED,
]
eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_DRAFT
const STATUS_DRAFT
Definition: API/Repository/Values/Content/VersionInfo.php:28
eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_PUBLISHED
const STATUS_PUBLISHED
Definition: API/Repository/Values/Content/VersionInfo.php:29
eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_ARCHIVED
const STATUS_ARCHIVED
Definition: API/Repository/Values/Content/VersionInfo.php:30

Definition at line 40 of file CleanupVersionsCommand.php.

The documentation for this class was generated from the following file:

- CleanupVersionsCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.